> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Metrics

> List available metrics with optional filters `project` and `identifier`. Supports pagination via `page` and `limit`.



## OpenAPI

````yaml /openapi.json get /v1/metrics
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/metrics:
    get:
      tags:
        - metrics
      summary: List Metrics
      description: >-
        List available metrics with optional filters `project` and `identifier`.
        Supports pagination via `page` and `limit`.
      operationId: MetricController_list_v1
      parameters:
        - name: page
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 2147483647
            default: 1
            type: integer
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 100
            type: integer
        - name: project
          required: false
          in: query
          schema:
            maxLength: 255
            example: Bitcoin,Ethereum
            type: array
            items:
              type: string
        - name: identifier
          required: false
          in: query
          schema:
            maxLength: 255
            example: txns,issuance
            type: array
            items:
              type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetricPageResponse'
        '400':
          description: Bad Request
      security:
        - x-api-key: []
components:
  schemas:
    MetricPageResponse:
      type: object
      properties:
        page:
          type: integer
          minimum: 1
          maximum: 2147483647
        total:
          type: integer
          minimum: 1
          maximum: 100
        data:
          type: array
          items:
            $ref: '#/components/schemas/MetricResponse'
      required:
        - page
        - total
        - data
    MetricResponse:
      type: object
      properties:
        name:
          type: string
          nullable: true
          maxLength: 65535
        description:
          type: string
          nullable: true
          maxLength: 65535
        identifier:
          type: string
          nullable: true
          example: rev
          maxLength: 65535
        project:
          type: string
          nullable: true
          example: Bitcoin
          maxLength: 65535
        source:
          type: string
          nullable: true
          example: Blockworks
          maxLength: 65535
        data_type:
          type: string
          nullable: true
          example: float
          maxLength: 65535
        parameters:
          type: object
          nullable: true
          example:
            end_date:
              type: date
              required: false
              description: End date (inclusive)
            start_date:
              type: date
              required: false
              description: Start date (inclusive)
        updated_at:
          type: number
          nullable: true
          description: Unix timestamp
        interval:
          type: string
          nullable: true
          example: daily
          maxLength: 65535
        aggregation:
          type: string
          nullable: true
          example: SUM
          maxLength: 65535
        category:
          type: string
          nullable: true
          example: Financials
          maxLength: 65535
        denomination:
          type: string
          nullable: true
          example: USD
          maxLength: 65535
      required:
        - name
        - description
        - identifier
        - project
        - source
        - data_type
        - parameters
        - updated_at
        - interval
        - aggregation
        - category
        - denomination
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````